Pagoefectivo

How to use Pagoefectivo to submit a payin in Peru.

Payin by Pagoefectivo

POST https://gateway-test.pagsmile.com/trade/pay

This endpoint allows you to submit a payin by Pagoefectivo in Peru.

Headers

Name
Type
Description

Content-Type*

string

application/json; chartset=UTF-8

Authorization*

string

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

Created app's ID at dashboard. Max. 32 chars.

out_trade_no*

string

ID given by the merchant in their system - Max. 64 chars -

method*

string

Fixed value: PagoEfectivo.

order_amount*

string

Payment amount.

The typical limit is 1–5,500 PEN.

Limits may vary by bank. See details here.

subject*

string

Payment reason or item title. Max. 128 chars.

order_currency*

string

Fixed value: PEN.

content

string

Payment reason detail or item detail. Max. 255 chars.

notify_url*

string

Where Pagsmile will send notification to.

return_url

string

Redirect to Merchant's url when user finished checkout

buyer_id*

string

Merchant user's ID.

timestamp*

string

Format: yyyy-MM-dd HH:mm:ss. Max. 19 chars.

customer.email*

string

User's email

User payment tips

  • Redirect users to the link in pay_url to complete the payment.

Example

User payment page

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated